Subject: Re[2]: Compiling DLLs to be used from native Win32 application
From: 3APA3A <[email-masked]>
To: Igor Pechtchanski <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Jun 2004 20:00:59 +0400

Dear Igor Pechtchanski,

--Monday, June 21, 2004, 7:34:33 PM, you wrote to [email-masked]:

>>
>>  1. I did DLL, it works fine with cygwin application.
>>  2. If I try to use it from native application it hangs on LoadLibrary.
>>  3. I did DllMain function with impure_ptr initialization and finally
>>     compiled as described in FAQ.
>>  4. Now  DLL loads and simple functions (for example strcpy()/ctrcat()
>>     based) work OK, but any "syscall" from DLL to cygwin function (for
>>     example printf()) causes NULL pointer reference.
>>
>>  Is subj possible? May be some additional initialization is required?

IP> Does <http://cygwin.com/ml/cygwin/2004-06/msg00274.html> help?

No.  I  do  not  want to compile application with cygwin1.dll. I want to
load library dynamically. But I'll look into crt code anyway.

-- 
~/ZARAZA
Человек это тайна... я занимаюсь этой тайной чтобы быть человеком. (Достоевский)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/